<xml xmlns="https://developers.google.com/blockly/xml">
<description>
<![CDATA[
##  A simple AC generator

<img class="ui image fluid" src='data:image/svg+xml;base64,[encoded data, 7252 characters]'/>

Use the DC motor and the biggest magnet provided with the kit. The magnet will
get attached to the iron pulley of the DC motor.

- Make the connections, first only for one coil
- Hold the coil close to the rotating magnet and observe the waveform

]]>
</description>
  <variables>
    <variable id="@X+|E..Oe?D`3VPgf,]h">timestamps</variable>
    <variable id="iI7+@[._G[|uQoWWCkZ-">data1</variable>
  </variables>
  <block type="controls_whileUntil" id="4zA6w#iFS6sXjLrU~Ctf" x="4" y="7">
    <field name="MODE">WHILE</field>
    <value name="BOOL">
      <block type="logic_boolean" id="||B8-,v+Bw6BiZwRLdy!">
        <field name="BOOL">TRUE</field>
      </block>
    </value>
    <statement name="DO">
      <block type="capture1" id="LXabMt^QUgY#Ek;Tu`kw">
        <field name="CHANNEL">A1</field>
        <field name="SAMPLES">1000</field>
        <field name="TIMEGAP">100</field>
        <field name="TIMESTAMPS" id="@X+|E..Oe?D`3VPgf,]h">timestamps</field>
        <field name="DATA1" id="iI7+@[._G[|uQoWWCkZ-">data1</field>
        <next>
          <block type="plot_xyarray" id="4L[%V,(e7eRMqK=2HORf">
            <value name="X">
              <block type="variables_get" id=",wxY9+==`dnDRBJJ:(~2">
                <field name="VAR" id="@X+|E..Oe?D`3VPgf,]h">timestamps</field>
              </block>
            </value>
            <value name="Y">
              <block type="variables_get" id="w)m7qd`,9oBc]0?Cz;/f">
                <field name="VAR" id="iI7+@[._G[|uQoWWCkZ-">data1</field>
              </block>
            </value>
            <next>
              <block type="cs_sticker" id="Y}CTK/8*JJ%m^T$F#fkU">
                <value name="LABEL">
                  <shadow type="text" id="/7=W8q6F9n)AWB8nW`tz">
                    <field name="TEXT">Frequency </field>
                  </shadow>
                </value>
                <value name="TEXT">
                  <shadow type="text" id="d4}{*w+%^[bRM[GdaBL3">
                    <field name="TEXT">Reading</field>
                  </shadow>
                  <block type="sine_fit_arrays" id=")pMs~}M()FPLwx/%-/]A">
                    <field name="PARAMETER">1</field>
                    <value name="X">
                      <block type="variables_get" id="87(v$s)XKa1r(?zWZ:Tz">
                        <field name="VAR" id="@X+|E..Oe?D`3VPgf,]h">timestamps</field>
                      </block>
                    </value>
                    <value name="Y">
                      <block type="variables_get" id="WK4Fm`3E1pyXEw:2F6K,">
                        <field name="VAR" id="iI7+@[._G[|uQoWWCkZ-">data1</field>
                      </block>
                    </value>
                  </block>
                </value>
                <next>
                  <block type="wait_seconds" id="gj)3=7(73takUbfv5W)w">
                    <field name="SECONDS">0.1</field>
                  </block>
                </next>
              </block>
            </next>
          </block>
        </next>
      </block>
    </statement>
  </block>
</xml>
